Freeciv-3.1: Data Fields - Variables

Freeciv-3.1

Loading...
Searching...
No Matches
Here is a list of all variables with links to the structures/unions they belong to:

### - h -

- h_pix : units_select
- h_ratio : minimap_view
- h_splitter : plr_report
- habitation : packet_spaceship_info, player_spaceship
- handicaps : player_ai
- handle_per_conn : generate_packets.Packet
- handle_via_packet : generate_packets.Packet, generate_packets.Variant
- handler_id : gui_dialog
- handlers : connection
- handmade : packet_scenario_info
- handmade_scenario_warning : gui_funcs
- happiness : city_dialog
- happiness_button : city_dialog
- happiness_ebox : happiness_dialog
- happiness_group : city_dialog
- happiness_label : happiness_dialog
- happiness_layout : city_dialog
- happiness_shown : city_dialog
- happiness_widget : city_dialog
- happy : city, cm_result, packet_city_short_info, player_score, vision_site
- happy_button : cma_dialog
- happy_cost : packet_game_info, packet_ruleset_unit, unit_item, unit_type
- happy_factor : cm_parameter
- happy_icon : theme_icons
- happy_priority : adv_data
- happyborders : packet_game_info
- harvested : output_type
- has_diplomat : ai_city
- has_multiplier : packet_ruleset_effect
- has_orders : packet_unit_info, unit
- has_reason_to_cancel : packet_player_diplstate, player_diplstate
- has_zoom_support : gui_funcs
- hash : fc_shortcuts, pf_reverse_map, section_file
- hash_val : genhash_entry
- hashcopy : fc_shortcuts_dialog
- have_huts : civ_map
- have_resources : civ_map, packet_scenario_info
- head_link : genlist
- header : tag_types
- headline : notify_goto_data, packet_page_msg
- heartbeat_enabled : client_options
- heating : packet_game_info
- height : animation, overview, research_diagram, small_sprite, trade_route_line, unit_node, video_mode, view
- help : toolkit, values_dlg
- help_cmd : worklist_data
- help_func : setting
- help_geometry : fc_settings
- help_splitter1 : fc_settings
- help_text : client_option, option::option_common_vtable, server_option
- help_wdg : help_dialog
- help_wonder : caravan_result
- helpstr : cmdarg
- helptext : advance, extra_type, goods_type, government, helpeditor, impr_type, multiplier, packet_ruleset_building, packet_ruleset_extra, packet_ruleset_goods, packet_ruleset_government, packet_ruleset_multiplier, packet_ruleset_specialist, packet_ruleset_tech, packet_ruleset_terrain, packet_ruleset_unit, packet_ruleset_unit_class, specialist, terrain, unit_class, unit_type
- helptxt : packet_ruleset_extra_flag, packet_ruleset_tech_flag, packet_ruleset_terrain_flag, packet_ruleset_unit_class_flag, packet_ruleset_unit_flag, user_flag
- hex_height : tileset
- hex_width : tileset
- hi : MD5_CTX
- hidden : nation_group, packet_ruleset_nation_groups
- hidden_by : extra_type, packet_ruleset_extra
- hidden_state : info_tab
- hiders : extra_type
- hiding_extras : unit_class
- highligh_num : units_select
- highlight_our_names : client_options
- hight : city_map
- history : chat_listener, city, packet_city_info, packet_edit_city, packet_player_info, player
- HISTORY_END : chat_listener
- history_interest_pml : packet_game_info
- history_list : luaconsole_data
- history_pos : help_dialog, luaconsole_data
- hitpoints : edit_utype
- hlayout : plr_report
- hline : tag_types
- hold_state : finger_behavior, mouse_button_behavior
- homecaughtunits : civ_game
- homecity : unit
- homecity16 : packet_edit_unit, packet_unit_info
- homecity32 : packet_edit_unit, packet_unit_info
- horiz : theme_icons
- horiz_dst : rates_move
- horiz_src : rates_move
- horizon : caravan_parameter
- host : server, server::players
- hot_x : color_cursor, named_sprites, small_sprite
- hot_y : color_cursor, named_sprites, small_sprite
- hover : fc_sidewidget
- hover_city : qfc_rally_list, trade_generator
- hover_tile : qfc_rally_list
- hp : packet_edit_unit, packet_ruleset_unit, packet_unit_info, packet_unit_short_info, unit, unit_type
- hp_bar : named_sprites
- hp_loss_pct : packet_ruleset_unit_class, unit_class
- hud_scale : hud_unit_combat
- humans : server
- hunted : unit_ai
- hut_behavior : unit_class
- huts : civ_map, player
- huts_absolute : civ_map